[Security Announce] [ MDKSA-2006:023 ] - Updated perl-Net_SSLeay packages fix vulnerability
Posted on: 01/27/2006 12:32 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2006:023
http://www.mandriva.com/security/
_______________________________________________________________________

Package : perl-Net_SSLeay
Date : January 26, 2006
Affected: 10.1, 10.2, 2006.0, Corporate 3.0
_______________________________________________________________________

Problem Description:

Javier Fernandez-Sanguino Pena discovered that the perl Net::SSLeay
module used the file /tmp/entropy as a fallback entropy source if a
proper source was not set via the environment variable EGD_PATH. This
could potentially lead to weakened cryptographic operations if an
attacker was able to provide a /tmp/entropy file with known content.

The updated packages have been patched to correct this problem.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0106
_______________________________________________________________________

Updated Packages:

Mandriva Linux 10.1:
745c88ffafb7cec13b0db84911bd82e1 10.1/RPMS/perl-Net_SSLeay-1.25-4.1.101mdk.i586.rpm
87d1a8df8d27efa75bed071293321bc0 10.1/SRPMS/perl-Net_SSLeay-1.25-4.1.101mdk.src.rpm

Mandriva Linux 10.1/X86_64:
1959cfe8f68e744a99f6f8191b4a6093 x86_64/10.1/RPMS/perl-Net_SSLeay-1.25-4.1.101mdk.x86_64.rpm
87d1a8df8d27efa75bed071293321bc0 x86_64/10.1/SRPMS/perl-Net_SSLeay-1.25-4.1.101mdk.src.rpm

Mandriva Linux 10.2:
e1bcdfb33a1010725f67cb64a045c716 10.2/RPMS/perl-Net_SSLeay-1.25-4.1.102mdk.i586.rpm
ac2647e198657a97a7745ebb7f80049e 10.2/SRPMS/perl-Net_SSLeay-1.25-4.1.102mdk.src.rpm

Mandriva Linux 10.2/X86_64:
88c10a807674653ce10317ce49614c21 x86_64/10.2/RPMS/perl-Net_SSLeay-1.25-4.1.102mdk.x86_64.rpm
ac2647e198657a97a7745ebb7f80049e x86_64/10.2/SRPMS/perl-Net_SSLeay-1.25-4.1.102mdk.src.rpm

Mandriva Linux 2006.0:
340b4d2ad0d1d77764899221e317dc5e 2006.0/RPMS/perl-Net_SSLeay-1.25-4.1.20060mdk.i586.rpm
c08d4032e9c9d7fb81749ffc7b8f8b7f 2006.0/SRPMS/perl-Net_SSLeay-1.25-4.1.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
30b18d4d798dc2b9354a2fac2e938802 x86_64/2006.0/RPMS/perl-Net_SSLeay-1.25-4.1.20060mdk.x86_64.rpm
c08d4032e9c9d7fb81749ffc7b8f8b7f x86_64/2006.0/SRPMS/perl-Net_SSLeay-1.25-4.1.20060mdk.src.rpm

Corporate 3.0:
52a48ee590bf9b386af74308f74d1569 corporate/3.0/RPMS/perl-Net_SSLeay-1.25-4.1.C30mdk.i586.rpm
5f10e7c1355d60304f43ae04c896b363 corporate/3.0/SRPMS/perl-Net_SSLeay-1.25-4.1.C30mdk.src.rpm

Corporate 3.0/X86_64:
344dfac9fc97b91fa1b2827e3408a02d x86_64/corporate/3.0/RPMS/perl-Net_SSLeay-1.25-4.1.C30mdk.x86_64.rpm
5f10e7c1355d60304f43ae04c896b363 x86_64/corporate/3.0/SRPMS/perl-Net_SSLeay-1.25-4.1.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFD2R7CmqjQ0CJFipgRAhhuAJ9Jvcp1imygN1GjS6tqHVlqex/FaACgso3J
plG3CeP2GPxGNBuIm+5ur+Q=
=q2iH
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2006023__updated_perl_net_ssleay_packages_fix_vulnerability.html)